import { BasicColumn, FormSchema } from '@/components/Table';

export const tabTableColumn: BasicColumn[] = [
  {
    title: '指标主体名称',
    dataIndex: 'name',
  },
  {
    title: '描述',
    dataIndex: 'txt',
  },
  {
    title: '创建者',
    dataIndex: 'createdBy',
  },
  {
    title: '创建时间',
    dataIndex: 'createdTime',
    sorter: true,
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    sorter: true,
  },
  {
    title: '原始主体',
    dataIndex: 'originalSubject',
    slots: { customRender: 'originalSubject' },
  },
];
export const tabTableFormSchema: FormSchema[] = [
  {
    field: '输入关键字搜索',
    component: 'Input',
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
];
export const addTabFormSchema: FormSchema[] = [
  {
    label: '标签主体路径',
    field: 'path',
    slot: 'path',
    required: true,
  },
  {
    label: '名称',
    field: 'name',
    component: 'Input',
    required: true,
  },
  {
    label: '描述',
    field: 'txt',
    component: 'InputTextArea',
    componentProps: {
      rows: 4,
    },
  },
];
