import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';
import Mock from 'mockjs';

export const detailFormSchema: FormSchema[] = [
  {
    label: '原始主体',
    field: 'originalSubject',
    slot: 'originalSubject',
  },
  {
    label: '标签存储库',
    field: 'tagLibrary',
    slot: 'tagLibrary',
  },
];
export const columnFormSchema: FormSchema[] = [
  {
    field: 'key',
    component: 'Input',
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
];
export const columnTableColumn: BasicColumn[] = [
  {
    title: '表名',
    dataIndex: 'table',
  },
  {
    title: '列名',
    dataIndex: 'column',
  },
  {
    title: '中文名',
    dataIndex: 'chName',
  },
  {
    title: '字段描述',
    dataIndex: 'des',
  },
  {
    title: '字段类型',
    dataIndex: 'type',
  },
  {
    title: 'Label分类',
    dataIndex: 'labelType',
    slots: { customRender: 'labelType' },
  },
  {
    title: '是否脱敏',
    dataIndex: 'sensitive',
    slots: { customRender: 'sensitive' },
  },
];
export const sensitiveTableColumn: BasicColumn[] = [
  {
    title: '表名',
    dataIndex: 'table',
    width: 100,
  },
  {
    title: '列名',
    dataIndex: 'column',
    width: 100,
  },
  {
    title: '是否脱敏',
    dataIndex: 'sensitive',
    slots: { customRender: 'sensitive' },
    width: 100,
  },
  {
    title: '脱敏算法',
    dataIndex: 'algoritm',
    slots: { customRender: 'algoritm' },
    width: 100,
  },
  {
    title: '脱敏参数',
    dataIndex: 'params',
    slots: { customRender: 'params' },
    width: 200,
  },
];
export const infoFormSchema: FormSchema[] = [
  {
    label: '主体名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '描述',
    field: 'des',
    component: 'InputTextArea',
    componentProps: {
      rows: 4,
    },
  },
  {
    label: '记录保留时间',
    field: 'time',
    slot: 'time',
  },
];
