import Mock from "mockjs";

export const columnTableData = [
  {
    table: 'employee',
    column: 'id',
    chName: '编号',
    des: '编号',
    type: 'NUMBER',
    labelType: '默认分类',
    sensitive: '否',
  },
  {
    table: 'employee',
    column: 'em_name',
    chName: '姓名',
    des: '姓名',
    type: 'STRING',
    labelType: '默认分类',
    sensitive: '否',
  },
  {
    table: 'employee',
    column: 'em_idcard',
    chName: '身份证',
    des: '身份证',
    type: 'STRING',
    labelType: '默认分类',
    sensitive: '是',
  },
];
export const gatherDataTableHeader = [
  {
    name: '编号',
    field: 'id',
  },
  {
    name: '姓名',
    field: 'em_name',
  },
  {
    name: '身份证',
    field: 'em_idcard',
  },
  {
    name: '地址',
    field: 'em_address',
  },
  {
    name: '毕业院校',
    field: 'em_afterschool',
  },
  {
    name: '年龄',
    field: 'em_age',
  },
  {
    name: '祖籍',
    field: 'em_ancestralhome',
  },
  {
    name: '出生日期',
    field: 'em_bom',
  },
];
export const gatherData = (num) => {
  return Mock.mock({
    [`users|${num}`]: [
      // 根据 num 动态生成用户数量
      {
        'id|+1': 1,
        em_name: '@name',
        em_idcard: '@id',
        em_address: '@county(true)',
        em_afterschool: '@ctitle(5, 10)大学',
        'em_age|18-60': 1,
        em_ancestralhome: '@county(true)',
        em_bom: '@date("yyyy-MM-dd")',
      },
    ],
  }).users;
};
